Generate
curl --request POST \
--url https://api.vellaro.io/api/v1/admin/ai/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"topic": "<string>",
"category": "<string>",
"brand": "<string>",
"model_number": "<string>",
"attributes": {},
"current_description": "<string>",
"instructions": "<string>",
"language": "<string>"
}
'import requests
url = "https://api.vellaro.io/api/v1/admin/ai/generate"
payload = {
"topic": "<string>",
"category": "<string>",
"brand": "<string>",
"model_number": "<string>",
"attributes": {},
"current_description": "<string>",
"instructions": "<string>",
"language": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
topic: '<string>',
category: '<string>',
brand: '<string>',
model_number: '<string>',
attributes: {},
current_description: '<string>',
instructions: '<string>',
language: '<string>'
})
};
fetch('https://api.vellaro.io/api/v1/admin/ai/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"text": "<string>",
"provider": "<string>",
"model": "<string>"
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}admin:ai
Generate
POST
/
api
/
v1
/
admin
/
ai
/
generate
Generate
Autorizzazioni
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
application/json
Opzioni disponibili:
product_description, product_short_description, meta_title, meta_description, freeform, category_description, cms_page, cms_meta_description, marketing_copy, email_message Required string length:
1 - 300Show child attributes
Show child attributes
Opzioni disponibili:
short, medium, long ⌘I